/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.basicops;

import java.util.List;

import polyglot.ast.*;
import polyglot.util.Position;

import sj.ast.sessvars.SJSocketVariable;

public abstract class SJBasicOperation_c extends Call_c implements SJBasicOperation
{
	public SJBasicOperation_c(Position pos, SJSocketVariable target, Id name, List<Expr> arguments)
	{
		super(pos, target, name, arguments);
	}

	public SJSocketVariable target()
	{
		return (SJSocketVariable) super.target(); // Temporary implementation.
	}

	public SJBasicOperation target(SJSocketVariable target)
	{
		return (SJBasicOperation) super.target(target);
	}
}
