/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.structuralops;

import java.util.List;

import polyglot.ast.*;

public interface SJInbranch extends CompoundStmt, SJStructuralOperation
{
	public List<SJInbranchCase> branchCases();
	public SJInbranch branchCases(List<SJInbranchCase> branchCases);

	public List<Expr> arguments();
}
