/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.structuralops;

import java.util.List;

import polyglot.ast.*;
import polyglot.util.Position;

import sj.util.SJLabel;

public class SJRecursion_c extends Block_c implements SJRecursion
{
	SJLabel lab;

	public SJRecursion_c(Position pos, List<Stmt> stmts, SJLabel lab)
	{
		super(pos, stmts);

		this.lab = lab;
	}

	public SJLabel label()
	{
		return lab;
	}

	public SJRecursion label(SJLabel lab)
	{
		this.lab = lab;

		return this;
	}
}
