/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension;

import sj.ast.SJReturnOperation;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public class SJReturnOperationExt_c extends SJTypeableExt_c implements SJReturnOperationExt
{
	private String returned;

	public boolean anonymousReturn()
	{
		return returned() == null;
	}

	public String returned()
	{
		return returned;
	}

	public SJReturnOperation returned(String returned)
	{
		this.returned = returned;

		return (SJReturnOperation) node();
	}

	public SJNamedInstance sjNamedInstance()
	{
		return (SJNamedInstance) super.sjTypeableInstance();
	}

	public SJReturnOperation sjNamedInstance(SJNamedInstance sjni)
	{
		return (SJReturnOperation) super.sjTypeableInstance(sjni);
	}
}
