/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.createops;

import sj.ast.createops.*;
import sj.extension.*;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

// Could make e.g. SJChannelCreateExt and record the protocol as well as the protocol's type, but would it be useful?
public interface SJCreateOperationExt extends SJNamedExt
{
	public SJCreateOperation sjTypeableName(String sjTypeableName);

	public SJCreateOperation sjNamedInstance(SJNamedInstance sjni);
}
