/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.servops;

import sj.ast.servops.*;
import sj.extension.SJNamedExt;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public interface SJServerOperationExt extends SJNamedExt
{
	public String server();

	public SJServerOperation sjTypeableName(String sjTypeableName);

	public SJServerOperation sjNamedInstance(SJNamedInstance sjni);
}
