/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.servops;

import sj.ast.sessvars.*;
import sj.ast.servops.*;
import sj.extension.SJNamedExt_c;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public class SJServerOperationExt_c extends SJNamedExt_c implements SJServerOperationExt
{
	public String server()
	{
		return ((SJServerOperation) node()).target().name();
	}

	public String sjTypeableName()
	{
		return server();
	}

	public SJServerOperation sjTypeableName(String sjTypeableName)
	{
		SJServerOperation sjso = (SJServerOperation) node();

		return (SJServerOperation) sjso.target((SJServerVariable) ((SJLocalServer) sjso.target()).name(sjTypeableName));
	}

	public SJServerOperation sjNamedInstance(SJNamedInstance sjni)
	{
		return (SJServerOperation) super.sjNamedInstance(sjni);
	}
}
