/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.sesscasts;

import sj.ast.sesscasts.SJTypeCast;
import sj.ast.typenodes.SJTypeNode;
import sj.extension.*;
import sj.types.typeobjects.typeableinstances.SJTypeableInstance;

// Similar to SJProtocolDeclExt but not named.
public interface SJTypeCastExt extends SJTypeableExt
{
	public SJTypeNode sjTypeNode();
	public SJTypeCast sjTypeNode(SJTypeNode sjTypeNode);

	public SJTypeCast sjTypeableInstance(SJTypeableInstance sjti);
}
