/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects;

import polyglot.types.*;
import polyglot.util.Position;

import sj.types.*;

public abstract class SJTypeObject_c extends TypeObject_c implements SJTypeObject
{
	public static final long serialVersionUID = 1L;

	protected SJTypeObject_c()
	{
		super();
	}

	public SJTypeObject_c(TypeSystem ts)
	{
		super(ts);
	}

	public SJTypeObject_c(TypeSystem ts, Position pos)
	{
		super(ts, pos);
	}

	public SJTypeSystem typeSystem()
	{
		return (SJTypeSystem) super.typeSystem();
	}

	public boolean isCanonical()
	{
		return true; // ?
	}
}
