/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJMap;

public class SJMethodInstance_c extends SJProcedureInstance_c implements SJMethodInstance
{
	public static final long serialVersionUID = 1L;

	private SJType sjReturnType;

	public SJMethodInstance_c(String name, SJMap sjFormals, SJType sjReturnType)
	{
		super(name, sjFormals);

		this.sjReturnType = sjReturnType;
	}

	public SJMethodInstance name(String name)
	{
		return (SJMethodInstance) super.name(name);
	}

	public SJMethodInstance sjFormals(SJMap sjFormals)
	{
		return (SJMethodInstance) super.sjFormals(sjFormals);
	}

	public SJType sjReturnType()
	{
		return sjReturnType;
	}

	public SJMethodInstance sjReturnType(SJType sjReturnType)
	{
		this.sjReturnType = sjReturnType;

		return this;
	}
}
