/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import sj.types.typeobjects.SJTypeObject_c;
import sj.util.SJMap;

public abstract class SJProcedureInstance_c extends SJTypeObject_c implements SJProcedureInstance
{
	public static final long serialVersionUID = 1L;

	private String name;
	private SJMap sjFormals;

	public SJProcedureInstance_c(String name, SJMap sjFormals)
	{
		this.name = name;
		this.sjFormals = sjFormals;
	}

	public String name()
	{
		return name;
	}

	public SJProcedureInstance name(String name)
	{
		this.name	= name;

		return this;
	}

	public SJMap sjFormals()
	{
		return sjFormals;
	}

	public SJProcedureInstance sjFormals(SJMap sjFormals)
	{
		this.sjFormals = sjFormals;

		return this;
	}
}
