/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJMap;

public interface SJRecursiveMethodInstance extends SJMethodInstance
{
	public SJRecursiveMethodInstance name(String name);

	public SJRecursiveMethodInstance sjFormals(SJMap sjFormals);

	public SJRecursiveMethodInstance sjReturnType(SJType sjReturnType);
}
