/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import polyglot.util.Position;

import sj.types.SJTypeSystem;
import sj.types.typeobjects.sesstypes.SJType;

public class SJSessionOpInstance_c extends SJTypeableInstance_c implements SJSessionOpInstance
{
	public static final long serialVersionUID = 1L;

	private String name;

	protected SJSessionOpInstance_c()
	{
		super();
	}

	public SJSessionOpInstance_c(SJTypeSystem ts, Position pos, SJType sjType, String name)
	{
		super(ts, pos, sjType);

		this.name = name;
	}

	public String name()
	{
		return name;
	}

	public SJSessionOpInstance sjType(SJType sjType)
	{
		return (SJSessionOpInstance) super.sjType(sjType);
	}
}
