/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import sj.types.typeobjects.SJTypeObject;
import sj.types.typeobjects.sesstypes.SJType;

// Include a reference to the parent AST node? This would seem to be more useful than the node position, which is already included. // Should be immutable?
public interface SJTypeableInstance extends SJTypeObject
{
	public SJType sjType(); // Probably looks better as just 'sjtype'.
	public SJTypeableInstance sjType(SJType sjType);
}
