package rchat;

import java.util.ArrayList;

class MessageLog {
    private ArrayList msglog = new ArrayList();
    
    public void putmsg(String msg) {
        synchronized (msglog)  {
            try {
                msglog.add(msg);
            }
            finally {
                msglog.notifyAll();
            }
        }
    }
    
    public String getmsg(int i) throws InterruptedException {
        synchronized (msglog)  {
            while (msglog.size() <= i) { msglog.wait(); }
            return (String) msglog.get(i);
        }
    }
    
    public MessageLog() { super(); }
    
    final public static String jlc$CompilerVersion$jl = "2.2.3";
    final public static long jlc$SourceLastModified$jl = 1204670340000L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAI1WXWwURRyfu/auvXLYXvmwKaUttCY0ytUXiNoXmgbk4Ahn" +
       "CwhHyTG3O3fdsre7\nzsxer1WJxkSQBxMDfiUILyYkhgcjUV+MmoDfmpg+gC" +
       "+QGIwxUYg+GInB6H9m9m7vtgd4yc7Nzvy/\n9v///T/O30ARRtGgY5vzRdPm" +
       "ST7vEJbMYMqIPmFixvbAQU57bOj23LfHdqxpQZ1Z1GlYUxxzQ5uw\nLU4qPI" +
       "viJVLKE8rGdZ3oWZSwCNGnCDWwaSwAoW1lUTczihbmLiVskjDbLAvCbuY6hE" +
       "qd1cM0imu2\nxTh1NW5TxlFXehaX8ajLDXM0bTA+lkbRgkFMnT2FjqJQGkUK" +
       "Ji4C4ep09StGpcTRbeIcyDsMMJMW\nsEaqLK1HDEvnaCDIUfvi4Z1AAKxtJc" +
       "Jn7JqqVgvDAepWJpnYKo5OcWpYRSCN2C5o4aj3jkKBqN3B\n2hFcJDmOeoJ0" +
       "GXUFVDHpFsHC0aogmZRUoag3ELO6aO2Oxv85kflrMCxt1olmCvsjwNQfYJok" +
       "BUKJ\npRHFeMtNnkodcPvCCAHxqgCxohl/4MO96V8+GVA0a5rQ7M7PEo3ntN" +
       "ub+9Yujv8UaxFmtDs2MwQU\nGr5cRjXj3YxVHMDi6ppEcZmsXn46+fmB594h" +
       "v4ZRewpFNdt0S1YKxYilT3j7NtinDYuo092FAiM8\nhVpNeRS15Tu4o2CYRL" +
       "ijFfYO5jNyX3GQ+oXgGfb2EbFwtHwXYQwCk7aLSTbL0VAyOc1mpzlhnE0z\n" +
       "qk1TbQbz6QaqipC6fC4Ugg/qCyaXCUjcbps6oTnt3PWvn9m686Xj4Rq8PHsA" +
       "+FJu0peLQiEp8P5G\nDwmX6yIzfntvrOvljeyDMGrJophRKrkc500CGYVN05" +
       "4jeo5LSCXq4CtRA5CL5wF9AOScCYIk2sEl\nZYrWB1Hm52YKdhigs3j03+9v" +
       "5uYuCECIAK4U0pVpEI4jyrb4yNShHYePr28RRHOtwtNAOnxv6Tnt\n5oldFy" +
       "5/c3WDj2aOhpck2VJOkSRB8zPU1ogORcgX//rf238/GXn0/bBARAxqD8eAGE" +
       "jk/qCOhmQZ\nqxYe4axwGi0r2LSETXFVrRYdfIbac/6JBMUysXQqfAhnBQyU" +
       "NevWC9GHr3y07LNwfXnrrKuDU4Sr\nZEn4vt5DCYHzq29kTr5649hB6WjlaV" +
       "SR+leFIJ4rmuRrsmflqddGTl+pBnCFL3ScUjwv4ld5fnHt\nm1/gtyCXIaeY" +
       "sUBUyjQqEOsGuR+puxTvgx6JwFQwIbaJal4NSCn/9J8Xz3QMKmMET28NLsHq" +
       "1cCY\n0xY+3nvm1nf8mnSbH0khY6CyVO0+XAeyRy6XE9F3z5bCqC2LumQHwh" +
       "bfh01XODULPYRNeIdptLzh\nvrEfqOI3VkNqXxBFdWqDGPLzH/aCWuzbFGwk" +
       "zX3giBg8D8HT5lUp+S8uu8SSqISQIzabJMM6uQ57\nGcdRm0ONMhZNG0VLDK" +
       "xSurt506BLkEr1Q170/AD3ViNP0do7dSLZRY/t/yP+Ir50SPWL7sbatdVy\n" +
       "S5vO/kBGtsS1JiUwxm1no0nKxPTRE9S2S3boqks7nxz4cdvmc88G4RMGOwfu" +
       "ypnTEuU1T7TMGF9C\n/ayFb8mI0Mg01hi0DkpgwrH2NISuvxa6dngGvBCi6n" +
       "9d6FRRaBa3qOPmTUNrnmchL0G8SHbJSAow\nJtVwcu/sTEkNHBDRJMsy1ChB" +
       "Cy57M8Ir/W//fOH65Mpw3SA1tGSWqedRw5RU1OEIwKy7mwZJfenB\ndeePTl" +
       "7Lhz0Dt3DUWrYNNYg93uDQPnh6PIf2NHOoWHbe03F7HeWm/Ry1wLz4vzzd73" +
       "s6JUZM6jqc\n6FsrGnHEyCLVHwTXFolwrXjLQOJ1+B1dVNueJbO3mhC19YuH" +
       "N1x0El/JxlSb4qIwShVc06wvFXX7\nqENJwZCao6pwOPLP4Cgi5wnxMus0wY" +
       "oqXJX/AMZoSfkSDAAA");
}
