//$ bin/sjc tests/src/quickstart/Bob.sj -d tests/classes/
//$ bin/sj -cp tests/classes/ quickstart.Bob

package quickstart;

import sj.runtime.*;
import sj.runtime.net.*;

class Bob {
	public static void main(String[] args) throws Exception
	{
		protocol BobToAlice{ begin.?(String).!<String> }

		SJServerAddress c = 
			SJServerAddress.create(BobToAlice, "localhost", 1234);
		SJSocket s = SJFSocket.create(c);

		try (s) {
			s.request();
			System.out.println((String) s.receive());			
			s.send("Hello Alice from Bob!");
		}
		finally {

		}
	}
}
