// bin/sjc tests/src/runtime/fsocket/delegation/case2/C.sj -d tests/classes/
// bin/sj -cp tests/classes/ runtime.fsocket.delegation.case2.C 9999

package runtime.fsocket.delegation.case2;

import sj.runtime.*;
import sj.runtime.net.*;

class C 
{
	public static void main(String[] args) throws Exception 
	{
		protocol p_a { ?(String) }
		protocol p_b { begin.?(@p_a) }

		SJServerSocket ss = null;

		try
		{
			ss = SJFServerSocket.create(p_b, Integer.parseInt(args[0]));
			
			SJSocket s_b = null;
			SJSocket s_a = null;

			try (s_b, s_a)
			{
				s_b = ss.accept();

				s_a = (@p_a) s_b.receive();

				System.out.println("Received: " + s_a.receive());				
			}
			finally
			{

			}
		}
		finally
		{
			if (ss != null) ss.close();
		}
	}
}
