// bin/sjc tests/src/runtime/fsocket/delegation/case4/A.sj -d tests/classes/
// bin/sj -cp tests/classes/ runtime.fsocket.delegation.case4.A HZHL 7777 HZHL 9999

package runtime.fsocket.delegation.case4;

import java.io.IOException;

import sj.runtime.*;
import sj.runtime.net.*;

class A // D-A-B-C => A-D-C-B
{
	public static void main(String[] args) throws Exception 
	{
		protocol p_b { begin.!<String>.!<String> } // The first send is not really necessary.
		protocol p_d { begin.!<!<String> > }

		SJServerAddress c_d = SJServerAddress.create(p_d, args[0], Integer.parseInt(args[1]));
		SJSocket s_d = SJFSocket.create(c_d);		
		
		SJServerAddress c_b = SJServerAddress.create(p_b, args[2], Integer.parseInt(args[3]));
		SJSocket s_b = SJFSocket.create(c_b);		
		
		try (s_d, s_b)
		{
			s_d.request();
			s_b.request();

			s_b.send("Hello from A!");

			s_d.send(s_b);
		}
		finally
		{
		
		}
	}
}
