/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast;

import polyglot.ast.Return;

public interface SJReturn extends Return, SJNamed // Not to be confused with SJReturnOperation. It's actually much more like a delegation operation. // To reuse SJNamedExt, but maybe better to make a common delegation base operation together with SendSession and SJCall (and SJSpawn). If the session-return is used to directly return a SJCall, then the named extension name value should be null.
{

}
