/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.servops;

import polyglot.ast.Call;

import sj.ast.*;
import sj.ast.sessvars.SJServerVariable;

public interface SJServerOperation extends Call, SJNamed
{
	public SJServerVariable target();
	public SJServerOperation target(SJServerVariable server);
}
