/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.servops;

import java.util.List;

import polyglot.ast.*;
import polyglot.util.Position;

import sj.ast.sessvars.SJServerVariable;

public abstract class SJServerOperation_c extends Call_c implements SJServerOperation
{
	public SJServerOperation_c(Position pos, SJServerVariable target, Id name, List<Expr> arguments)
	{
		super(pos, target, name, arguments);
	}

	public SJServerVariable target()
	{
		return (SJServerVariable) super.target();
	}

	public SJServerOperation target(SJServerVariable server)
	{
		return (SJServerOperation) super.target(server);
	}
}
