/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.structuralops;

import polyglot.ast.*;

public interface SJInwhile extends While, SJStructuralOperation
{
	SJInwhile cond(Expr cond);
	SJInwhile body(Stmt body);
}
