/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.socketops;

import polyglot.ast.Call;

import sj.ast.sessvars.SJSocketVariable;

public interface SJSocketOperation extends Call // Actually, all the subclasses of this class (and it's implementation) are redundant.
{
	public SJSocketVariable target();
	public SJSocketOperation target(SJSocketVariable socket);
}
