/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.typenodes;

/**
 * SJProtocolNode is a meta type object that refers to (the session type of) another protocol.
 */
public interface SJProtocolNode extends SJTypeNode
{
	public String protocol();
	public SJProtocolNode protocol(String protocol);
}
