/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.typenodes;

import polyglot.util.Position;

import sj.SJConstants;

public class SJProtocolNode_c extends SJTypeNode_c implements SJProtocolNode
{
	private String protocol;

	public SJProtocolNode_c(Position pos, String protocol)
	{
		super(pos);

		this.protocol = protocol;
	}

	public String protocol()
	{
		return protocol;
	}

	public SJProtocolNode_c protocol(String protocol)
	{
		this.protocol = protocol;

		return this;
	}

	public String nodeToString()
	{
		return SJConstants.SJ_STRING_META_TYPE_PREFIX + protocol();
	}
}
