/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.typenodes;

import sj.util.SJLabel;

public interface SJRecursionNode extends SJTypeNode
{
	public SJLabel label(); // Label value immutable.
	public SJTypeNode body();
	public SJRecursionNode body(SJTypeNode body);
}
