/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.del;

import polyglot.ast.DelFactory;

public interface SJDelFactory extends DelFactory
{
	public SJSessionTryDel SJSessionTryDel();
	public SJStructuralOperationDel SJStructuralOperationDel();
	public SJReceiveDel SJReceiveDel();
	public SJSpawnDel SJSpawnDel();
}
