/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension;

import sj.ast.SJNamed;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

//If protocol declarations etc had extensions extended from this, this should be abstract.
public class SJNamedExt_c extends SJTypeableExt_c implements SJNamedExt
{
	private String sjTypeableName;

	/*public SJTypeableExt_c() // Generally no special constructors for Ext objects because would just have to duplicate each case in the SJExtFactory.
	{

	}*/

	public String sjTypeableName()
	{
		return sjTypeableName;
	}

	public SJNamed sjTypeableName(String sjTypeableName)
	{
		this.sjTypeableName = sjTypeableName;

		return (SJNamed) node();
	}

	public SJNamedInstance sjNamedInstance()
	{
		return (SJNamedInstance) super.sjTypeableInstance();
	}

	public SJNamed sjNamedInstance(SJNamedInstance sjni)
	{
		return (SJNamed) super.sjTypeableInstance(sjni);
	}
}
