/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.sessformals;

import sj.ast.sessformals.*;
import sj.ast.typenodes.SJTypeNode;
import sj.extension.*;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public interface SJTypeFormalExt extends SJNamedExt // Duplicated from SJProtocolDeclExt, but return types of setters prevents reuse.
{
	public SJTypeNode sjTypeNode();
	public SJTypeFormal sjTypeNode(SJTypeNode sjTypeNode);

	public SJTypeFormal sjTypeableName(String sjTypeableName);

	public SJTypeFormal sjNamedInstance(SJNamedInstance sjni);
}
