/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.sessops.structuralops;

import polyglot.ast.*;

import sj.ast.sessops.structuralops.SJStructuralOperation;
import sj.extension.sessops.SJSessionOperationExt;

public interface SJStructuralOperationExt extends SJSessionOperationExt
{
	public Receiver target(); // Becomes a SJSocketVariable after session operation "parsing". // Later will be generalised like basic operations. // Unlike basic operations, which extend Call, we must store the target socket(s) for structural operations ourselves.
	public SJStructuralOperation target(Receiver target);
}
