/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJMap;

public interface SJMethodInstance extends SJProcedureInstance
{
	public SJMethodInstance name(String name);

	public SJMethodInstance sjFormals(SJMap sjFormals);

	public SJType sjReturnType(); // Null if not applicable. // Or could change to type Type and record the base return type if not a session type. // Maybe also need to record return name (SJCall is not a SJReturnOperation so has no instance object for it).
	public SJMethodInstance sjReturnType(SJType sjReturnType);
}
