/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import java.util.List;

import sj.types.typeobjects.SJTypeObject_c;
import sj.types.typeobjects.sesstypes.SJType;

public class SJThreadInstance_c extends SJTypeObject_c implements SJThreadInstance
{
	public static final long serialVersionUID = 1L;

	private String name;

	private List<SJType> runTypes;

	public SJThreadInstance_c(String name, List<SJType> runTypes)
	{
		this.name = name;
		this.runTypes = runTypes;
	}

	public String name()
	{
		return name;
	}

	public SJThreadInstance name(String name)
	{
		this.name	= name;

		return this;
	}

	public List<SJType> runTypes()
	{
		return runTypes;
	}

	public SJThreadInstance runTypes(List<SJType> runTypes)
	{
		this.runTypes = runTypes;

		return this;
	}
}
