/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.visit.contexts.sesscontexts;

import java.util.*;

public class SJBranchContext_c extends SJSessionContext_c implements SJBranchContext
{
	private Set<SJBranchCaseContext> branchCases = new HashSet<SJBranchCaseContext>();

	public SJBranchContext_c()
	{

	}

	public SJBranchContext_c(SJSessionContext sjce)
	{
		super(sjce);
	}

	public Set<SJBranchCaseContext> branchCases()
	{
		return branchCases;
	}

	public void addBranchCase(SJBranchCaseContext bcc)
	{
		branchCases.add(bcc);
	}
}
