/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime.net.contexts;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJLabel;

public abstract class SJBranchContext extends SJSocketContext
{
	private SJLabel lab;

	public SJBranchContext(SJLabel lab, SJType active)
	{
		super(active);

		this.lab = lab;
	}

	public SJLabel label()
	{
		return lab;
	}

	/*public final boolean isBranchContext()
	{
		return true;
	}*/
}
