package ticketagency;

import java.net.UnknownHostException;
import java.util.Date;
import sj.runtime.*;
import sj.runtime.net.*;

class Customer {
    final private static java.lang.String _sjprotocol_p_ca =
      ("H4sIAAAAAAAAAI1SMW/TQBR+cUhJKWpLSwCJIibUgcpmYskAIU1VglGjJszh" +
       "fD7ZDlf78L20iYSY\n4ZewsDMixMYGIysMLPwDBp7vUppGkYIlP8v33vu+93" +
       "3v3v+Gis5hRw9cHCuhTcyCgeCoXS20tqfd\n9iMRJWmPfvoc7FNyAEY5bC9s" +
       "ne1yfKjwOJEhwravB56p86a6vX/dnu2u+7CkWC5SfAmvwSHWmsrk\nOJIZTr" +
       "gtR+POh2f+r4+37WQ359QcGIY+/3N/69a3xs/lMpR8qKpMJ5hkKcIN/7TJG2" +
       "Iivc4kUx8p\nNSKjvIVqD4Z4QuLErGriuRBk4dgqKGLJIN77H8QgZymP50BW" +
       "OKNShE1/wI6ZnXmf6fgpU/VTEqWI\n5kqRd4u8O8lXLn7/9Pna869lcPbgks" +
       "xYuMc4ZvljWMY4FzrOZDhSDx4atssnVYrr9DoEtkYzG6hu\n22eBkOdGKksW" +
       "IGzYgSRLI6+LeZJGZCHCUqPZbHV6hHF3oe6uSMM5kleOqIZFxmCE2tnC7I0x" +
       "92XK\nX3chz6HgIjmet7BpqgJx85ylWzP3qyMZF/vkmsj7/N2PL69aT96+sY" +
       "tP2ZEBWCs8WD1bxS5Dc76i\ni3gd4Som/IVA4kz52G2EIS1Cm+QqmXfYarea" +
       "PaI3Jxukr/jWzDwTgHUDXtju7mbDQBr46pysXYr6\nC+3KB5ABBAAA");
    final private static SJProtocol p_ca =
      new sj.runtime.SJProtocol(ticketagency.Customer._sjprotocol_p_ca);
    private String TRAVEL_METHOD = "Paris by Eurostar";
    private Double MAX_PRICE;
    private Address ADDRESS = new Address("Customer\'s address.");
    
    Customer(String addr_a, int port_a, double maxPrice) throws SJIOException {
        super();
        MAX_PRICE = new Double(maxPrice);
        SJServerAddress c_ca = SJServerAddress.create(p_ca, addr_a, port_a);
        SJSocket s_ca = SJRSocket.create(c_ca);
        boolean decided = false;
        int retry = 3;
        {
            sj.runtime.net.SJSocket _sjtryreturned_0 = null;
            int _sjspawncount_s_ca = -1;
            try {
                s_ca.request();
                while (s_ca.outsync(!decided && retry-- > 0)) {
                    s_ca.send(TRAVEL_METHOD);
                    Double cost = (Double) s_ca.receive();
                    System.out.println("Received quote: " + cost);
                    if (cost.compareTo(MAX_PRICE) < 0) { decided = true; }
                }
                if (retry >= 0) {
                    {
                        s_ca.outlabel("ACCEPT");
                        System.out.println("Quote accepted.");
                        s_ca.send(ADDRESS);
                        System.out.println("Received dispatch date: " +
                                           (Date) s_ca.receive());
                    }
                } else {
                    {
                        s_ca.outlabel("REJECT");
                        System.out.println("Quote rejected.");
                    }
                }
            }
            catch (SJIncompatibleSessionException ise) {
                ise.printStackTrace();
            }
            catch (UnknownHostException uhe) { uhe.printStackTrace(); }
            catch (ClassNotFoundException cnfe) {  }
            finally {
                if (s_ca != null && s_ca != _sjtryreturned_0)
                    s_ca.close(_sjspawncount_s_ca);
            }
        }
    }
    
    public static void main(String[] args) throws SJIOException {
        new Customer(args[0], Integer.parseInt(args[1]),
                     Double.parseDouble(args[2]));
    }
    
    final public static String jlc$CompilerVersion$jl = "2.2.3";
    final public static long jlc$SourceLastModified$jl = 1216300493004L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAIVXW2gcVRg+e8kmm2zMpUmNuTdNsdF2o6JFG5CGJCXbbsi6" +
       "m97ShO3ZmbPJJLMz\n48yZzSZqUQRb+yBIWy+g7YtQkD5Ii/qgqNB6V5A8tL" +
       "60IBURtMU+iEUq+p8zM3uZ3cTAmZyc89/O\n/3/ff07O30RVho56NVVenpNV" +
       "GqbLGjHCMawbRByRsWFMwUJS2Ln57tJ3x/Z0+FDDNGqQlATFVBJG\nVIWSHJ" +
       "1GoQzJpIhuDIsiEadRk0KImCC6hGVpBQRVZRo1G9KcgqmpEyNODFXOMsFmw9" +
       "SIzn06i1EU\nElTFoLopUFU3KGqMLuAsHjSpJA9GJYMORVEgLRFZNJ5GR5En" +
       "iqrSMp4DwY1R5xSD3OLgbrYO4rUS\nhKmnsUAcFf+ipIgU9bg18ifu3wsCoF" +
       "qdIXRezbvyKxgWULMVkoyVucEE1SVlDkSrVBO8UNS+plEQ\nqtGwsIjnSJKi" +
       "NrdczNoCqSBPC1OhqNUtxi3ldNTuqllRtSYDoX9OxP7q9fKYRSLILP4qUOp2" +
       "KcVJ\nmuhEEYileMcMn4ocMju9CIFwq0vYkhne8uG+6K+f9lgyHRVkJlMLRK" +
       "BJ4e6Ozq7V4Z+DPhZGjaYa\nEoNCycl5VWP2zlBOAyxuzFtkm2Fn87P4F4ee" +
       "f5f85kU1ERQQVNnMKBEUJIo4Ys+rYR6VFGKtTqbT\nBqER5Jf5UkDlf0M60p" +
       "JMWDr8MNcwnefznIasHw8MbM9D7ENR3YhpUDVD9LCxQNHWcHjGWJihxKDG\n" +
       "jKELM8CDRUKhcIqwPFMkmmOG65c8HjhTp5tfMoBxXJVFoieFcze+eXZs78vH" +
       "vXmE2SFB8YuNhx3j\nyOPhVu8tzRRLvcgY8vuFocZXthsfeJFvGgWlTMakOC" +
       "UTYBaWZXWJiEnKodVUBGOOHoBeKAUoBEAn\nZTDEUQ+pyeqoz422AkcjMMMA" +
       "odWj//5wK7l0kQGDFbKFWbdCg7IsWrGFBhKze44c7/MxoSU/yziI\n9v+/9a" +
       "Rw68TExSvfXttaQDVF/WVkK9dkZHGHH9NVgYjQjArmX/97/I+TVU+872XICE" +
       "IPohiQA4Tu\ndvsoIc2Q04BYsrxRVJdW9QyW2ZbTNWrpvK4uFVY4Mur4/B4b" +
       "cpAzdNiGXQ/7sM1G9mmycMTy6ToD\nb293Xgw8dPXjus+9xZ2woahlJgi1eN" +
       "VUKMeUTgisX3sjdvL0zWOHeS2sYqAcD6vVAyXfUIHa4baW\nU68NvHXVqfGG" +
       "gtFhXcfLrMS5F1a73vwSvw20B/oZ0grh7PJxBz5uvxnaOtdk2AtbLdQo704x" +
       "XcoA\n+bN2d3q1+51fLt6It3iLWvjmsi5arGO1cZ7BWi0HHjat54FLX35w0/" +
       "mj8espq701l1JsTDEzj539\nkQzsCgkV6OqDi4afL6xZeXyYooComkA+J6/s" +
       "O8DnD7DS2wywc9JmLIR1U6FShoQTeyKTYzmBaKz5\n8RP02jYYHd0NZTe7EB" +
       "0sZ1LP/HnpTG2vVSSm0879+CukuEQxKax8su/Mne/pdX64AgmYjZ5cudv9\n" +
       "uIifj1/JNgXeO5vxoupp1MgvcazQ/Vg2Gdim4Ro2RuzFKKov2S+9Uq37YyhP" +
       "8k53jYvcuulXKAjM\nmTSbV1uM03Iej8Zmo1y6j3+3WMD3UbAjKRjcVWu6lM" +
       "UUggoY/JmTo3BTJAXslKm1pEzQSqgK95FF\nU/bdlad2EMajMDpsane4qO1B" +
       "PJ6J8ng4UMbBc/1UfHj/WDQ5MTY1PjnKVret5akdRqftqbOypzj7\nTFIUnB" +
       "g+mIzFIyNjFfg4yhG7lpcnYXTZXroqezlge6keHh2NjyUSjo+WkusMHovwGO" +
       "R79bxA/Ta+\nCxxpd5qSjrrWeu5w1h47eDv0Er48yyDPFB+BI1JV2y6TLJEL" +
       "tHEbmeCvOwdLDQd6ftq949xzbt6w\nG6pnXc2k0JTteMo3L30Fd24et2XPy1" +
       "KloVK01uoEXsfKVAlmu/Opb4BxP4xZO/WzFW+JMhx5AcUa\nlFMS2GJk/TZU" +
       "/qjkTd3qvhd8/be9H23s5/ejP4UNK0z3a7z8sV3yhuZxBvOnus++79Y71TZN" +
       "09aN\nm/25k4vOAVMz0LHcTdifVSURyFTjPKHY3dVW9k+P9TQX+laPbL2kNX" +
       "1tndR5PgfgDZs2Zbm4wRTN\nA5pO0hKPIuC0G/ZrmaJQMezZ2opWgXVW18v9" +
       "B3yxP/+SDQAA");
}
