// bin/sjc tests/src/runtime/rsocket/delegation/case4/C.sj -d tests/classes/
// bin/sj -cp tests/classes/ runtime.rsocket.delegation.case4.C 8888

package runtime.rsocket.delegation.case4;

import sj.runtime.*;
import sj.runtime.net.*;

class C 
{
	public static void main(String[] args) throws Exception 
	{
		protocol p_d { ?(String).?(String) }
		protocol p_b { begin.?(@p_d) }

		SJServerSocket ss = null;

		try
		{	
			ss = SJRServerSocket.create(p_b, Integer.parseInt(args[0]));
		
			SJSocket s_b = null;
			SJSocket s_d = null;

			try (s_b, s_d)
			{
				s_b = ss.accept();

				s_d = (@p_d) s_b.receive();

				System.out.println("Received: " + (String) s_d.receive());
				System.out.println("Received: " + (String) s_d.receive());
			}
			finally
			{

			}
		}
		finally
		{
			if (ss != null) ss.close();
		}
	}
}
