//$ bin/sjc tests/src/serverclient/server/AServer.sj -d tests/classes/serverclient/
//$ bin/sj -cp tests/classes/ serverclient.server.AServer 7777 8888

package serverclient.server;

import java.util.*;

import sj.runtime.*;
import sj.runtime.net.*;

public class AServer
{	
	private protocol p 
	{ 
		begin.!<String>.!<String>.?(int)
	}	

	public AServer(int port) throws Exception
	{
		//BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		//try { br.readLine(); } catch(IOException ioe) { }	
	
		SJServerSocket ss = null;
		SJSocket s = null;
		
		try
		{
			ss = SJRServerSocket.create(p, port);

			//while(true)		
			{
				try (s)
				{		
					s = ss.accept();											

					s.send("A");
								
					//Thread.sleep(2000);													
					
					s.send("B");
					s.receiveInt();
				}
				finally
				{

				}
			}
		}
		finally
		{
			if (ss != null) ss.close();
		}		
	}
	
	public static void main(String[] args) throws Exception
	{			
		new AServer(Integer.parseInt(args[0]));
	}	
}
